<template>
  <v-navigation-drawer v-model="isDrawer" dark app>
    <v-list class="menu pt-0">
      <v-list-item>
        <div class="px-5 d-flex flex">
          <v-img
            :src="require('~/assets/images/logo-danone-putih.png')"
            height="90"
            width="168"
            alt="Danone Logo White"
          />
        </div>
      </v-list-item>
      <v-list-item class="centered mb-5">
        <v-row justify="center">
          <v-chip class="px-5 ma-2" color="#fff" text-color="#04368A">
            <b>eSIM 1</b>
          </v-chip>
        </v-row>
      </v-list-item>
      <!-- <v-responsive
        class="title-sim-rounded menu__item text-center white inline-flex align-center justify-center "
        height="30"
        width="90"
      >
        <b>eSIM 1</b>
      </v-responsive> -->
      <div v-for="(item, i) in items" :key="'submenuSim1' + i">
        <v-list-item v-if="checkingRole(item.role)" :to="item.url" class="menu__item" router>
          <v-list-group v-if="!item.url" class="submenu flex" :value="false">
            <template v-slot:activator>
              <v-list-item-content>
                <v-list-item-title class="menu__title" v-text="item.label" />
              </v-list-item-content>
            </template>
            <div v-for="(pro, y) in item.subMenus" :key="y">
              <v-list-item
                v-if="checkingRole(item.role)"
                :to="`${pro.url}`"
                router
                exact
                class="submenu"
                style="color:white !important"
              >
                <v-list-group
                  v-if="!pro.url"
                  no-action
                  sub-group
                  class="subsubmenu flex"
                  :value="false"
                >
                  <template v-slot:activator>
                    <v-list-item-content>
                      <v-list-item-title class="submenu__title">{{ pro.label }}</v-list-item-title>
                    </v-list-item-content>
                  </template>
                  <v-list-item
                    v-for="(proChild, z) in pro.subMenus"
                    :key="z"
                    :to="`${proChild.url}`"
                    router
                    exact
                    style="color:white !important"
                    ><v-list-item-title class="subsubmenu__title" v-text="proChild.label" />
                  </v-list-item>
                </v-list-group>
                <v-list-item-content v-else>
                  <v-list-item-title class="menu__title" v-text="pro.label" />
                </v-list-item-content>
              </v-list-item>
            </div>
          </v-list-group>
          <v-list-item-content v-else>
            <v-list-item-title class="menu__title" v-text="item.label" />
          </v-list-item-content>
        </v-list-item>
      </div>
      <!-- <v-responsive
        class="title-sim-rounded menu__item text-center white inline-flex align-center justify-center "
        height="30"
        width="90"
      >
        <b>eSIM 2</b>
      </v-responsive>
      <div v-for="(item, i) in items2" :key="'submenuSim2' + i">
        <v-list-item :to="item.url" class="menu__item" router>
          <v-list-group v-if="!item.url" class="submenu flex" :value="false">
            <template v-slot:activator>
              <v-list-item-content>
                <v-list-item-title class="menu__title" v-text="item.label" />
              </v-list-item-content>
            </template>
            <div v-for="(pro, y) in item.subMenus" :key="y">
              <v-list-item
                :to="`${pro.url}`"
                router
                exact
                class="submenu"
                style="color:white !important"
              >
                <v-list-item-content>
                  <v-list-item-title class="menu__title" v-text="pro.label" />
                </v-list-item-content>
              </v-list-item>
            </div>
          </v-list-group>
          <v-list-item-content v-else>
            <v-list-item-title class="menu__title" v-text="item.label" />
          </v-list-item-content>
        </v-list-item>
      </div> -->
    </v-list>
    <template v-slot:append>
      <v-divider />
      <v-list-item two-line>
        <v-list-item-avatar color="white">
          <v-img v-if="user.avatarUrl" :src="user.avatarUrl" alt="Avatar" />
          <v-icon v-else color="secondary">mdi-account</v-icon>
        </v-list-item-avatar>
        <v-list-item-content>
          <v-list-item-title>{{ user.firstName }}</v-list-item-title>
          <v-list-item-subtitle>{{ user.role.name }}</v-list-item-subtitle>
        </v-list-item-content>
      </v-list-item>
      <div class="pa-2">
        <v-btn id="btn-logout" light block depressed @click="handleLogout">Logout</v-btn>
      </div>
    </template>
  </v-navigation-drawer>
</template>

<script>
export default {
  name: 'NavigationDrawer',
  props: {
    isDrawer: {
      type: Boolean,
      default: true
    }
  },
  data: () => ({
    items: undefined,
    items2: undefined
  }),
  computed: {
    user() {
      return this.$auth.user
    },
    lines() {
      return this.$store.state.lines
    }
  },
  async created() {
    console.log('this.$auth.user')
    console.log(this.$auth.user)
    this.$store.dispatch('lines')
    this.$store.dispatch('areas')
    this.$store.dispatch('steps')
    // this.items = this.$auth.user.role.menus
    this.items = await require(`~/assets/MenuEsim1.json`)
    this.items2 = await require(`~/assets/MenuEsim2.json`)
  },
  methods: {
    handleLogout() {
      this.$store.dispatch('logout').then(() => {
        this.$router.go('/login')
      })
    },
    checkingRole(role) {
      if (role && role.length > 0) {
        return !!role.includes(this.$auth.user.role.name)
      } else return true
    }
  }
}
// TODO ADMIN: fix styling submenu, logo in login, create PrO, elearning
// TODO OPRTR: elearning
</script>

<style lang="scss" scoped>
.v-navigation-drawer {
  background-color: $color-primary !important;
}
.menu .menu__item .v-list-item__content {
  padding-right: 0px !important;
}
.title-sim-rounded {
  border-top-right-radius: 25px;
  border-bottom-right-radius: 25px;
  color: #04368a;
  height: 20px;
  width: 90px;
}
</style>
